SystemOrganization addCategory: #AdministracionTPI!
SystemOrganization addCategory: #'AdministracionTPI-Persistencia'!
SystemOrganization addCategory: #'AdministracionTPI-UI'!

WAComponent subclass: #BuscarAlumno
	instanceVariableNames: 'alumnoBuscado'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI'!

!BuscarAlumno class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/23/2012 14:41'!
canBeRoot 

	^true.! !

!BuscarAlumno class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/26/2012 23:49'!
new

^super new alumnoBuscado: (Alumno new nombre: ''; apellido: '').! !

!BuscarAlumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 14:44'!
alumnoBuscado
	^ alumnoBuscado! !

!BuscarAlumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 14:44'!
alumnoBuscado: anObject
	alumnoBuscado := anObject! !

!BuscarAlumno methodsFor: 'initialization' stamp: 'PabloAlegre 9/23/2012 14:43'!
initialize 

	super initialize addDecoration: (GroupBoxDecoration new title: 'Buscar Alumno')! !

!BuscarAlumno methodsFor: 'rendering' stamp: 'PabloAlegre 9/26/2012 23:54'!
renderContentOn: html

| alumnos alumnosEncontrados |
alumnos := HomeAlumnos current alumnos.
alumnosEncontrados := Set new.

html text: 'Legajo: '. html textInput callback: [ : leg | (self alumnoBuscado legajo: leg) asNumber].
html break.
html submitButton callback: [alumnosEncontrados := alumnos select: [ : alumno | alumno legajo = alumnoBuscado legajo]]; with: 'Buscar'.
html break.

html table: [ 
		html tableRow: [ html tableHeading: 'Nombre y Apellido'.
						 html tableHeading: 'Legajo'.
		].
			
	alumnosEncontrados do: 
	[ : alumnoEncontrado | html tableRow: [ html tableData: [ alumnoEncontrado nombre, ' ', alumnoEncontrado apellido ].
							html tableData: [alumnoEncontrado legajo]
	]
			]
	]! !

WAComponent subclass: #EstadisticasAlumno
	instanceVariableNames: 'modelo carreraActual'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI'!

!EstadisticasAlumno class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/20/2012 20:10'!
canBeRoot 
^true.! !

!EstadisticasAlumno class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/23/2012 14:05'!
new

^super new modelo: (Alumno conMateriasCursadas); carreraActual: 'TPI'.! !

!EstadisticasAlumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:15'!
carreraActual
	^ carreraActual! !

!EstadisticasAlumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:15'!
carreraActual: anObject
	carreraActual := anObject! !

!EstadisticasAlumno methodsFor: 'initialization' stamp: 'NataliaRodriguez 9/26/2012 15:34'!
initialize
	super initialize.
	self addDecoration: (GroupBoxDecoration  new title: 'Estadisticas de Alumno').
	
! !

!EstadisticasAlumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 17:19'!
modelo
	^ modelo! !

!EstadisticasAlumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 17:19'!
modelo: anObject
	modelo := anObject! !

!EstadisticasAlumno methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/26/2012 15:40'!
renderContentOn: html

html form: [
	self renderDatosAlumno: html.
	self renderEstadoAlumno: html.
	self renderEvolucionPorCuatrimestre: html.
].! !

!EstadisticasAlumno methodsFor: 'rendering' stamp: 'NatiRodriguez 9/21/2012 17:43'!
renderDatosAlumno: html

	html text: 'Alumno: ', modelo nombre, ' ', modelo apellido. 
	html break.
	html text: 'Legajo ', (modelo legajo asString). 
	html break. html break.! !

!EstadisticasAlumno methodsFor: 'rendering' stamp: 'PabloAlegre 9/27/2012 07:37'!
renderEstadoAlumno: html

	| estadoAuxiliar |
	html text: 'Carrera: '.
	(html select)
			list: #('TPI' 'LDS');
			callback: [:seleccionada | self carreraActual: seleccionada.].
	html break. html break.
	html text: 'Estado: Activo' ", modelo estadoEn: carreraActual". 
	html break.
	html text: 'Materias Aprobadas: ', ((modelo materiasAprobadas: (self carreraActual)) asString), ' de 23' ",self carreraActual materias size". 
	html break.
	html text: 'Materias Recursadas: ', ((modelo materiasRecursadas: (self carreraActual)) asString). 
	html break.
	html text: 'Materias Actuales: ', ((modelo materiasActuales: (self carreraActual)) asString). 
	html break.
	estadoAuxiliar:= (modelo esAuxiliar) ifTrue: [ 'Si'] ifFalse: ['No']. 
	html text: 'Auxiliar: ',  estadoAuxiliar. 
	html break.
	html text: 'Promedio: ', modelo promedioActual asString.
	html break.! !

!EstadisticasAlumno methodsFor: 'rendering' stamp: 'PabloAlegre 9/26/2012 23:15'!
renderEvolucionPorCuatrimestre: html
	
html break.
html table: [
		html tableRow: [
			html tableHeading: 'Materia'.
			html tableHeading: 'Cuatrimestre'.
			html tableHeading: 'Comision'.
			html tableHeading: 'Resultado'.
			html tableHeading: 'Nota'.
		].	
	
 	(self modelo materiasCursadas) do: 
		[ :mat | html tableRow: [ html tableData: [html text: (mat nombre)].     
							html tableData: [html text: (mat cuatrimestre  )].
							html tableData: [html text: (mat comision numero)].
							html tableData: [html text: (mat estado)].
							html tableData: [html text: (mat nota )].
		]].

	].
! !

!EstadisticasAlumno methodsFor: 'style' stamp: 'NataliaRodriguez 9/26/2012 15:31'!
style

^ '
   body{
	border-style:ridge;padding: 5px
   }
   table{
  	border-collapse:collapse;
  	background-color:white;
   }
   th{
  	background-color:#CEF6EC;
   }
   table,th, td {
  	border:1px solid black;
   }
'! !

WAComponent subclass: #InscribirAlumno
	instanceVariableNames: 'alumnoAInscribir carrera alumnoOriginal'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI'!

!InscribirAlumno class methodsFor: 'testing' stamp: 'PabloAlegre 9/23/2012 17:15'!
canBeRoot

	^true! !

!InscribirAlumno class methodsFor: 'instance creation' stamp: 'PabloAlegre 9/26/2012 07:53'!
new

	^super new alumnoAInscribir: (Alumno conMateriasCursadas); carrera: (HomeCarreras current get: 'TPI')! !

!InscribirAlumno methodsFor: 'as yet unclassified' stamp: 'NataliaRodriguez 9/24/2012 18:10'!
agregarMaterias: listaDeComisiones

listaDeComisiones do: [ : curso | alumnoAInscribir agregarCurso: curso ].! !

!InscribirAlumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 15:42'!
alumnoAInscribir
	^ alumnoAInscribir! !

!InscribirAlumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 15:42'!
alumnoAInscribir: unAlumno
	alumnoAInscribir := unAlumno shallowCopy.
	alumnoOriginal :=  unAlumno.! !

!InscribirAlumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 15:42'!
alumnoOriginal
	^ alumnoOriginal! !

!InscribirAlumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 15:42'!
alumnoOriginal: anObject
	alumnoOriginal := anObject! !

!InscribirAlumno methodsFor: 'as yet unclassified' stamp: 'PabloAlegre 9/23/2012 17:21'!
back
	self decoratedComponent answer ! !

!InscribirAlumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 15:42'!
carrera
	^ carrera! !

!InscribirAlumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 15:42'!
carrera: anObject
	carrera := anObject! !

!InscribirAlumno methodsFor: 'as yet unclassified' stamp: 'PabloAlegre 9/23/2012 17:21'!
initialize
	super initialize.
	self addDecoration: (GroupBoxDecoration  new title: 'Inscribir Alumno')! !

!InscribirAlumno methodsFor: 'as yet unclassified' stamp: 'PabloAlegre 9/26/2012 07:52'!
renderContentOn: html

| materiasDisponibles materiasSeleccionadas |
html text: 'Alumno: ', alumnoAInscribir nombre, ' ', alumnoAInscribir apellido.
html break.
html text: 'Legajo: ', alumnoAInscribir legajo asString.
html break.
materiasSeleccionadas:= OrderedCollection new.
materiasDisponibles:= carrera materiasDisponiblesPara: alumnoAInscribir.
	html table: [
		html tableRow: [
			html tableHeading: 'Materias Seleccionadas'.
			html tableHeading: '                               '.
			html tableHeading: 'Materias Disponibles' ].
		html tableRow: [
			html tableData: [
				html table: [
					html tableRow: [ 
						html tableHeading: 'Materia'.
						html tableHeading: 'Quitar' ].
						materiasSeleccionadas do: [ : materia |
							html tableRow: [ 
								html tableData: materia nombre.
								html tableData: [ 
									(html submitButton) callback: [ materiasDisponibles add: materia ];with: '>>>>>' ]
											] 
																]
							]
							 ].
			html tableData: [ '                         ' ].
			html tableData: [  
				html table: [
					html tableRow: [
								html tableHeading: 'Materia'.
								html tableHeading: 'Agregar' ].
								materiasDisponibles do: [ : materia |
									html tableRow: [
										html tableData: materia nombre.
										html tableData: [  (html submitButton) callback: [ materiasSeleccionadas add: materia ]; with: '<<<<<' ]
													]
														]
							]
							]
					]
				].

html table: [ 
			html tableRow: [ html tableData: [ html break. (html button) callback: [ [ self agregarMaterias: materiasSeleccionadas. self save. self back]]; with: 'Confirmar'.
														  (html button) callback: [ self back ]; with: 'Cancelar' ] ]].! !

!InscribirAlumno methodsFor: 'as yet unclassified' stamp: 'PabloAlegre 9/23/2012 15:48'!
save

	alumnoOriginal become: alumnoAInscribir.! !

WAWindowDecoration subclass: #GroupBoxDecoration
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI'!

!GroupBoxDecoration methodsFor: 'rendering' stamp: 'NatiRodriguez 9/22/2012 14:57'!
renderCloseButtonOn: html! !

!GroupBoxDecoration methodsFor: 'rendering' stamp: 'NatiRodriguez 9/22/2012 13:37'!
style

^ '.window-titlebar {background-color: #aaaaaa; padding: 5px; margin-bottom: 5px}
	    .window-close {float: right}
	   .window-title {}
	    .window-content {clear: both}
	'! !

Object subclass: #Alumno
	instanceVariableNames: 'nombre apellido dni direccion telefono legajo email esAuxiliar materiasCursadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Alumno class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/27/2012 07:34'!
conMateriasCursadas
 | alumno cursoIntro cursoObj1 cursoOrga cursoMate1|
 alumno:= super new nombre: 'Pablo'; apellido: 'Alegre'; dni: 35123123; direccion: 'Florencio Varela'; email: 'pablo@gmail.com'; legajo: 20123; esAuxiliar: false; materiasCursadas: OrderedCollection new.
cursoIntro:= MateriaCursada enComision: (Comision numero: 1 delCuatrimestre: '2008-c1' deLaMateria: (Materia deNombre: 'InPr')).
cursoObj1:= MateriaCursada enComision: (Comision numero: 3 delCuatrimestre: '2008-c1' deLaMateria:  (Materia deNombre: 'Obj1')).
cursoOrga:= MateriaCursada enComision: (Comision numero: 2 delCuatrimestre: '2008-c2' deLaMateria:  (Materia deNombre: 'Orga')).
cursoMate1:= MateriaCursada enComision: (Comision numero: 1 delCuatrimestre: '2008-c2' deLaMateria:  (Materia deNombre: 'Mate1')).
cursoIntro estado: 'Aprobado'; nota: 8.
cursoIntro comision materia carreras add: (HomeCarreras current get: 'TPI').
cursoObj1 estado: 'En curso'; nota: 7.
cursoObj1 comision materia carreras add: (HomeCarreras current get: 'TPI').
cursoOrga estado: 'Pendiente'; nota: 5.
cursoOrga comision materia carreras add: (HomeCarreras current get: 'TPI').
cursoMate1 estado: 'Recursado'; nota: 3.
cursoMate1 comision materia carreras add: (HomeCarreras current get: 'TPI').
 alumno materiasCursadas add: cursoIntro.
 alumno materiasCursadas add: cursoObj1.
 alumno materiasCursadas add: cursoOrga.
 alumno materiasCursadas add: cursoMate1.
 ^alumno.
! !

!Alumno class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/24/2012 18:05'!
conNombre: unNombre conApellido: unApellido conDNI: unDNI conDireccion: unaDireccion conEmail: unEmail yLegajo: unLegajo
 ^super new nombre: unNombre; apellido: unApellido; dni: unDNI; direccion: unaDireccion; email: unEmail; legajo: unLegajo; esAuxiliar: false; materiasCursadas: OrderedCollection new.


! !

!Alumno methodsFor: 'cursos' stamp: 'NataliaRodriguez 9/24/2012 18:07'!
agregarCurso: unaComision

	self materiasCursadas add: (MateriaCursada enComision: unaComision).! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
apellido
	^ apellido! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
apellido: anObject
	apellido := anObject! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/27/2012 07:33'!
cantidadDeMateriasEn: unaCarrera conEstado: unEstado
 
	| cantidadDeMaterias |
	cantidadDeMaterias := 0.	
	self materiasCursadas do: [ : materiaCursada | ("(materiaCursada carreras contains: unaCarrera) and: "(materiaCursada estado = unEstado)) ifTrue: [cantidadDeMaterias := cantidadDeMaterias + 1]].
	^cantidadDeMaterias.! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
direccion
	^ direccion! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
direccion: anObject
	direccion := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
dni
	^ dni! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
dni: anObject
	dni := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
email
	^ email! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
email: anObject
	email := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:02'!
esAuxiliar
	^ esAuxiliar! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:02'!
esAuxiliar: anObject
	esAuxiliar := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
legajo
	^ legajo! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
legajo: anObject
	legajo := anObject! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/23/2012 11:35'!
materiasActuales: unaCarrera
 
	^self cantidadDeMateriasEn: unaCarrera conEstado: 'En curso'! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/23/2012 11:35'!
materiasAprobadas: unaCarrera
 
	^self cantidadDeMateriasEn: unaCarrera conEstado: 'Aprobado'! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:06'!
materiasCursadas
	^ materiasCursadas! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:06'!
materiasCursadas: anObject
	materiasCursadas := anObject! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/23/2012 11:36'!
materiasRecursadas: unaCarrera
 
	 ^self cantidadDeMateriasEn: unaCarrera conEstado: 'Recursado'! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
nombre
	^ nombre! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
nombre: anObject
	nombre := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:31'!
printOn: aStream

    aStream nextPutAll: (self nombre,' ',self apellido).
! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/27/2012 07:38'!
promedioActual
 
	| notas |
	notas:= (self materiasCursadas collect: [ :materiaCursada | (materiaCursada nota)]).
	notas:= notas fold: [ :nota1 :nota2 | nota1 + nota2].
 	^notas / (materiasCursadas size) asFloat.! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
telefono
	^ telefono! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
telefono: anObject
	telefono := anObject! !

Object subclass: #Carrera
	instanceVariableNames: 'nombre materias materiasAprobadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Carrera class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/16/2012 18:21'!
llamada: unNombre

^super new nombre: unNombre; materias: OrderedCollection new.! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
materias
	^ materias! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
materias: anObject
	materias := anObject! !

!Carrera methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:05'!
materiasDisponiblesPara: unAlumno

	materiasAprobadas:= (unAlumno materiasCursadas collect: [ :materiaCursada | materiaCursada comision materia]) asSet. 
	^self materias select: [ :materia | materiasAprobadas includesAllOf: (materia correlativas) ] ! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
nombre
	^ nombre! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
nombre: anObject
	nombre := anObject! !

!Carrera methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:30'!
printOn: aStream

    aStream nextPutAll: (self nombre).
! !

Object subclass: #Comision
	instanceVariableNames: 'numero cuatrimestre materia horarios docenteReal docenteRegistrado alumnosInscriptos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Comision class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/24/2012 18:41'!
numero: numeroDeComision delCuatrimestre: anioYNumeroDeCuatrimestre deLaMateria: unaMateria

	^super new numero: numeroDeComision; cuatrimestre: anioYNumeroDeCuatrimestre; materia: unaMateria.! !

!Comision methodsFor: 'alumnos' stamp: 'PabloAlegre 9/23/2012 11:04'!
agregarAlumno: unAlumno

	self alumnosInscriptos add: unAlumno.! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:03'!
alumnosInscriptos
	^ alumnosInscriptos! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:03'!
alumnosInscriptos: anObject
	alumnosInscriptos := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:56'!
cuatrimestre
	^ cuatrimestre! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:56'!
cuatrimestre: anObject
	cuatrimestre := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
docenteReal
	^ docenteReal! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
docenteReal: anObject
	docenteReal := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
docenteRegistrado
	^ docenteRegistrado! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
docenteRegistrado: anObject
	docenteRegistrado := anObject! !

!Comision methodsFor: 'alumnos' stamp: 'PabloAlegre 9/23/2012 11:05'!
eliminarAlumno: unAlumno

	self alumnosInscriptos remove: unAlumno.! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
horarios
	^ horarios! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
horarios: anObject
	horarios := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
materia
	^ materia! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
materia: anObject
	materia := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:56'!
numero
	^ numero! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:56'!
numero: anObject
	numero := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:33'!
printOn: aStream

    aStream nextPutAll: (self materia asString,'-',self cuatrimestre asString,'-',self numero asString).
! !

Object subclass: #HomeAlumnos
	instanceVariableNames: 'alumnos'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministracionTPI-Persistencia'!

!HomeAlumnos class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/26/2012 07:50'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:24'!
alumnos
	^ alumnos! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:24'!
alumnos: anObject
	alumnos := anObject! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 07:25'!
get: numeroDeLegajo

	^(self alumnos select: [ : alumno | alumno legajo = numeroDeLegajo]) first.! !

!HomeAlumnos methodsFor: 'initialization' stamp: 'NataliaRodriguez 9/26/2012 16:04'!
initialize 

	alumnos:= OrderedCollection new.
	alumnos add: (Alumno conNombre: 'Pablo' conApellido: 'Alegre' conDNI: 35000000 conDireccion: 'Florencio Varela' conEmail: 'pablo@gmail.com'  yLegajo: 20000).
	alumnos add: (Alumno conNombre: 'Natalia' conApellido: 'Rodriguez' conDNI: 35111111 conDireccion: 'Quilmes' conEmail: 'nati@gmail.com'  yLegajo: 20111).
	alumnos add: (Alumno conNombre: 'Nahuel' conApellido: 'Garbezza' conDNI: 35222222 conDireccion: 'Ranelagh' conEmail: 'nahuel@gmail.com'  yLegajo: 20222).
	alumnos add: (Alumno conNombre: 'Ronny' conApellido: 'De Jesus' conDNI: 35333333 conDireccion: 'Berazategui' conEmail: 'ronny@gmail.com'  yLegajo: 20333).
	alumnos add: (Alumno conNombre: 'Susana' conApellido: 'Rosito' conDNI: 35444444 conDireccion: 'Berazategui' conEmail: 'susi@gmail.com'  yLegajo: 20444).
	alumnos add: (Alumno conNombre: 'Federico' conApellido: 'Sawady' conDNI: 35555555 conDireccion: 'Quilmes' conEmail: 'sawa@gmail.com'  yLegajo: 20555).
	alumnos add: (Alumno conNombre: 'Maria Laura' conApellido: 'Medici' conDNI: 35666666 conDireccion: 'Quilmes' conEmail: 'marilau@gmail.com'  yLegajo: 20666).
	alumnos add: (Alumno conNombre: 'Christian' conApellido: 'Ruiz Diaz' conDNI: 35777777 conDireccion: 'Berazategui' conEmail: 'christiand@gmail.com'  yLegajo: 20777).
	alumnos add: (Alumno conNombre: 'Rocio' conApellido: 'Amaya' conDNI: 35888888 conDireccion: 'Wilde' conEmail: 'rocio@gmail.com'  yLegajo: 20888).
	alumnos add: (Alumno conNombre: 'Tatiana' conApellido: 'Molinari' conDNI: 35999999 conDireccion: 'Lanus' conEmail: 'tatiana@gmail.com'  yLegajo: 20999).
	alumnos add: (Alumno conNombre: 'Cristian' conApellido: 'Suarez' conDNI: 36000000 conDireccion: 'Bernal' conEmail: 'cristian@gmail.com'  yLegajo: 21000).
	alumnos add: (Alumno conNombre: 'Cristian' conApellido: 'Bouix' conDNI: 36111111 conDireccion: 'Florencio Varela' conEmail: 'chbouix@gmail.com'  yLegajo: 21111).! !

Object subclass: #HomeCarreras
	instanceVariableNames: 'carreras'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministracionTPI-Persistencia'!

!HomeCarreras class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/26/2012 07:55'!
current
	instance:= nil.
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:39'!
carreras
	^ carreras! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:39'!
carreras: anObject
	carreras := anObject! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 12:15'!
get: nombreDeCarrera

	^(self carreras select: [ : carrera | carrera nombre = nombreDeCarrera]) first.! !

!HomeCarreras methodsFor: 'initialization' stamp: 'PabloAlegre 9/26/2012 22:51'!
initialize

	| tpi |
	carreras:= OrderedCollection new.
	tpi:= (Carrera llamada: 'TPI').
	tpi materias add: (HomeMaterias current get: 'Obj1').
	tpi materias add: (HomeMaterias current get: 'BD').
	carreras add: tpi.
	carreras add: (Carrera llamada: 'LDS').
	carreras add: (Carrera llamada: 'DPI').! !

Object subclass: #HomeComisiones
	instanceVariableNames: 'comisiones'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministracionTPI-Persistencia'!

!HomeComisiones class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/26/2012 07:50'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeComisiones methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 12:00'!
comisiones
	^ comisiones! !

!HomeComisiones methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 12:00'!
comisiones: anObject
	comisiones := anObject! !

!HomeComisiones methodsFor: 'initialization' stamp: 'NataliaRodriguez 9/24/2012 18:25'!
initialize 

	comisiones:= OrderedCollection new.
	comisiones add: (Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr')).
	comisiones add: (Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr')).
	comisiones add: (Comision numero: 3 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr')).
	comisiones add: (Comision numero: 4 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr')).
	comisiones add: (Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Mate1')).
	comisiones add: (Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Mate1')).
	comisiones add: (Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).
	comisiones add: (Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).
	comisiones add: (Comision numero: 3 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).! !

Object subclass: #HomeMaterias
	instanceVariableNames: 'materias'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministracionTPI-Persistencia'!

!HomeMaterias class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/26/2012 07:50'!
current

	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 12:15'!
get: nombreDeMateria

	^(self materias select: [ : materia | materia nombre = nombreDeMateria]) first.! !

!HomeMaterias methodsFor: 'initialization' stamp: 'PabloAlegre 9/24/2012 11:58'!
initialize 

	materias:= OrderedCollection new.
	materias add: (Materia deNombre: 'InPr').
	materias add: (Materia deNombre: 'Orga').
	materias add: (Materia deNombre: 'Mate1').
	materias add: (Materia deNombre: 'Obj1').
	materias add: (Materia deNombre: 'Mate2').
	materias add: (Materia deNombre: 'BD').
	materias add: (Materia deNombre: 'Obj2').
	materias add: (Materia deNombre: 'Redes').
	materias add: (Materia deNombre: 'SO').
	materias add: (Materia deNombre: 'LabSOR').
	materias add: (Materia deNombre: 'CIU').
	materias add: (Materia deNombre: 'IngSoft').
	materias add: (Materia deNombre: 'DesApp').! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:43'!
materias
	^ materias! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:43'!
materias: anObject
	materias := anObject! !

Object subclass: #Materia
	instanceVariableNames: 'nombre carreras comisiones correlativas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Materia class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/26/2012 07:49'!
deNombre: unNombre

	^super new nombre: unNombre; carreras: (OrderedCollection new); comisiones: (OrderedCollection new); correlativas: (OrderedCollection new).! !

!Materia methodsFor: 'comisiones' stamp: 'PabloAlegre 9/23/2012 11:05'!
agregarComision: unaComision

	self comisiones add: unaComision.! !

!Materia methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:15'!
carreras
	^ carreras! !

!Materia methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:15'!
carreras: anObject
	carreras := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 10:56'!
comisiones
	^ comisiones! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 10:56'!
comisiones: anObject
	comisiones := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 17:30'!
correlativas
	^ correlativas! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 17:30'!
correlativas: anObject
	correlativas := anObject! !

!Materia methodsFor: 'comisiones' stamp: 'PabloAlegre 9/23/2012 11:06'!
eliminarComision: unaComision

	self comisiones remove: unaComision.! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 10:56'!
nombre
	^ nombre! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 10:56'!
nombre: anObject
	nombre := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:28'!
printOn: aStream

    aStream nextPutAll: (self nombre).
! !

Object subclass: #MateriaCursada
	instanceVariableNames: 'comision estado nota'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!MateriaCursada class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/24/2012 18:03'!
enComision: unaComision

	^super new comision: unaComision; estado: 'En curso'; nota: 0.! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 07:31'!
carreras

	^ self comision materia carreras ! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
comision
	^ comision! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
comision: anObject
	comision := anObject! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/26/2012 16:09'!
cuatrimestre
	^ self comision cuatrimestre ! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
estado
	^ estado! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
estado: anObject
	estado := anObject! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:39'!
nombre

	^ self comision materia nombre! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
nota
	^ nota! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
nota: anObject
	nota := anObject! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:38'!
printOn: aStream

	   aStream nextPutAll: (self nombre,' (',self comision cuatrimestre asString,'-',self comision numero asString,')').
! !
